NNTIDY(1)

NAME
nntidy - tidy your personal .newsrc file

SYNOPSIS
nntidy [ -aciNQrsuv ] [ group ]...

DESCRIPTION
nntidy will clean out non-existing groups, adjust obviously wrong article numbers, and remove badly formed lines from your .newsrc file.

It may optionally remove ignored groups, unsubscribed groups, and groups which are not part of your presentation sequence or the groups specified on the command line.

You should run nntidy if your rc file has been corrupted for some reason.

OPTIONS

-a  Equivalent to -cisu.

-c  Remove unrecognized lines. This will also remove the `options' line used by some older news readers, such as readnews(1)

-i  Remove entries for groups which are ignored in the database, e.g. entries marked with `X' in the GROUPS file.

-r  Remove entries for unsubscribed groups.

-s  Remove entries which are not included in the group presentation sequence defined in the init file. If one or more groups are specified on the command line, entries not matched by these groups (and their subgroups etc) will be removed.

    Notice that depending on how you construct the presentation sequence, this may cause unsubscribed groups to be removed from .newsrc, but this will not normally happen.

-u  Truncate entries for unsubscribed groups, by removing the article numbers and leaving only the news group name and the `!' mark.

-v  Verbose operation. Reports each change made to the .newsrc file.

-N  No update mode. The requested operations are performed, but the result is not written back to disk. This can be used with the -v option to see whether tidying is required.

-Q  Quiet operation. The version information is not printed.

FILES
~/.newsrc    The record of read articles
~/.newsrc.tidy    The original rc file before tidy

SEE ALSO
nn(1), nncheck(1), nngoback(1), nngrab(1), nngrep(1), nnpost(1)
nnadmin(1M), nnusage(1M), nnmaster(8)

AUTHOR
Kim F. Storm, Texas Instruments A/S, Denmark
E-mail: storm@texas.dk